%def_disable static

Name: libmovtar
Version: 0.1.3
Release: alt0.5

Summary: Support library & tools for the movtar video format
License: GPL
Group: System/Libraries
Url: http://mjpeg.sourceforge.net

Source: http://prdownloads.sourceforge.net/mjpeg/%name-%version.tar.gz
Patch: %name-0.1.3-alt-build.patch

%define jpeg_mmx_ver 0.1.5

Requires: libjpeg-mmx >= %jpeg_mmx_ver
BuildPreReq: libjpeg-mmx-devel >= %jpeg_mmx_ver

# Automatically added by buildreq on Tue Feb 10 2004
BuildRequires: XFree86-libs esound glib-devel libSDL-devel libjpeg-mmx-devel

%description 
%name has been implemented according to the quicktime4linux API (see
http://heroine.linuxave.net/quicktime.html).

It supports reading and writing (read/write mode has been prepared, but
is not implemented yet) of MJPEG video in YUV 4:2:2 JPEG with
mono/stereo, 8/16-bit, any sample rate sound. 

It supports indexing files (always done when writing a new file,  old
(or manually created) movtar files without index are indexed internally
during the opening process).

You can freely jump forwards and backwards between the frames in an
opened file. 

This package contains the library needed to run programs dynamically
linked with %name.

%package devel
Summary: Includes and other files to develop %name applications
Group: Development/C
Requires: %name = %version-%release

%description devel
Include files and other resources you can use to develop %name
applications.

%package devel-static
Summary: Static libraries to develop %name applications
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
Static libraries you can use to develop %name applications.

%package -n movtar-utils
Summary: Shared library for %name
Group: Video
Requires: %name = %version-%release

%description -n movtar-utils
movtar-utils help to understand the principles behind the movtar format,
and do special tasks which aren't  possible with the library (like
movtar_index, which  _removes_ a video index, for experimental and
debugging purposes). Please see the respective help information  (e.g.
movtar_index -h) for more details.

%prep
%setup -q
%patch -p1

%build
%__rm -f missing
%__libtoolize --copy --force
%__aclocal
%__automake -a -c
%__autoconf

%configure \
    %{subst_enable static}

%make_build

%install
%make DESTDIR=%buildroot install

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*

%files -n movtar-utils
%_bindir/*
%exclude %_bindir/*-config
%doc README* NEWS ChangeLog AUTHORS

%files devel
%_bindir/*-config
%_includedir/*
%_libdir/*.so
%_datadir/aclocal/*

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Tue Feb 10 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.1.3-alt0.5
- First build for Sisyphus.

